Subject: Re: git fsck exit code?

From: Jeff King <[email-masked]>
Date: Fri, 29 Aug 2014 14:53:25 -0400

On Wed, Aug 27, 2014 at 06:10:12PM -0400, David Turner wrote:

> It looks like git fsck exits with 0 status even if there are some
> errors. The only case where there's a non-zero exit code is if
> verify_pack reports errors -- but not e.g. fsck_object_dir.

It will also bail non-zero with _certain_ tree errors that cause git to
die() rather than fscking more completely.

> Is that really the intended behavior?  I think it would be nice to at
> least support --exit-code (but probably a sensible exit code ought to be
> the default).

I don't know that the current behavior is really intended. I agree that
I would expect a non-zero exit code if there are errors. Fsck also has
some warnings. I do not know what those should produce (I'd think a zero
exit normally, and some option like -Werror to turn them into errors).

-Peff